.hero {
  /* min-height: 100vh; */
  height: 100vh;
  background: #eee;
}

.hero.loaded {
  background: url("/src/default/h-bk.png") center center / cover no-repeat;
}

.home-main-info {
  position: relative;
  height: calc(100vh - var(--v-header-height));
  overflow: hidden;
  background-color: rgb(193 193 193 / 50%);
}

.home-main-info .description {
  position: absolute;
  top: 20px;
  /* left: var(--v-padding-x-normal); */
  z-index: 10;
  color: #333;
  width: 100%;
  padding: 0 10px;
  box-sizing: border-box;
}

.home-main-info .description p {
  /* margin: 0; */
  font-size: var(--v-xlarge-font-size);
  font-weight: 700;
  line-height: 1.2;
  max-width: var(--v-max-width-normal);
  margin: auto;
}

.home-main-info .description span {
  display: block;
  /* margin-top: 35px; */
  font-size: var(--v-large-font-size);
  font-weight: 600;
  max-width: var(--v-max-width-normal);
  margin: auto;
}

.home-main-info .carousel {
  width: 100%;
  height: 100%;
}

.home-main-info .carousel-div,
.carousel-inner,
.carousel-item {
  width: 100%;
  height: 100%;
}

.home-main-info .carousel-inner {
  display: flex;
  transition: transform .5s;
}

.home-main-info .carousel-item {
  min-width: 100%;
  position: relative;
}

.home-main-info .carousel-img {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
  padding-right: 4em;
  padding-bottom: 12px;
  box-sizing: border-box;
}

.home-main-info .carousel-img img {
  max-width: 1200px;
  height: auto;

  width: min(var(--v-index-img-size-a), var(--v-index-img-size-b));
  max-height: 92vh;
  /* width: min(1200px, 92vw);
  max-height: 95vh; */
  object-fit: contain;
}

.home-main-info .carousel-indicators {
  position: absolute;
  right: var(--v-padding-x-normal);
  bottom: 35px;
  display: flex;
  gap: 14px;
}

.home-main-info .carousel-indicators span {
  width: 18px;
  height: 18px;
  background: #555;
  cursor: pointer;
}

.home-main-info .carousel-indicators .active {
  background: #d50000;
}

.home-main-menu {
  min-height: 12vh;
  background-color: #E4E4E4;
  align-items: center;
  gap: clamp(10px, 2vw, 24px);
  max-width: 100%;
}

.home-main-menu div {
  display: flex;
  justify-content: space-between;
  max-width: var(--v-max-width-normal);
  margin: auto;
  min-height: 12vh;
  align-items: center;
  padding: 0 10px;
}

.home-main-menu img {
  width: 100%;
  max-width: 250px;
  height: auto;
}

/* .home-main-menu .contact-button {
  min-width: 12vw;
  min-height: 4vw;
  display: flex;
  align-items: center;
  justify-content: center;

  box-shadow:
    8px 8px 20px rgba(0, 0, 0, .18),
    4px 4px 8px rgba(0, 0, 0, .08),
    inset 0 1px 2px rgba(255, 255, 255, .9);
  transform: translateY(0);

  color: #2d2d2d;
  text-decoration: none;
  font-weight: 700;
  border: solid #fff 2px;

  padding: 0.8vw 1.4vw;
  border-radius: 0.8vw;
  gap: 0.5vw;
} */

/* .home-main-menu .contact-button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 15px;

  padding: 1.3rem 1.8rem;
  background: linear-gradient(180deg,
      #f7f7f7 0%,
      #dddddd 100%);
  box-shadow:
    0 14px 30px rgba(0, 0, 0, .18),
    0 5px 10px rgba(0, 0, 0, .08),
    inset 0 1px 2px rgba(255, 255, 255, .9),
    inset 0 -2px 3px rgba(0, 0, 0, .08);
  transform: translateY(0);

  color: #2d2d2d;
  text-decoration: none;
  border-radius: 25px;
  font-size: 2.2rem;
  font-weight: 900;
  border: solid #fff 2px;
  transition:
    transform .25s,
    box-shadow .25s,
    background .3s,
    color .3s;
} */

/* .home-main-menu .contact-button:hover {
  transform: translateY(-6px);

  box-shadow:
    0 18px 28px rgba(0, 0, 0, .45),
    inset 0 2px 2px rgba(255, 255, 255, .18),
    inset 0 -3px 5px rgba(0, 0, 0, .3);
  transform:
    translateY(-6px) scale(1.02);
} */

/* .home-main-menu .contact-button:active {
  transform: translateY(3px);

  box-shadow:
    0 4px 8px rgba(0, 0, 0, .3),
    inset 0 3px 6px rgba(0, 0, 0, .35);
} */

/* .home-main-menu .contact-button:hover .icon img {
  transform: scale(1.08) rotate(-5deg);
} */

/* .home-main-menu .contact-button .icon img {
  transition: .3s;
} */

/* .home-main-menu .contact-button:hover .text {
  letter-spacing: 2px;
} */

/* .home-main-menu .contact-button .icon {
  font-size: 1rem;
} */

/* .home-main-menu .contact-button .icon img {
  max-inline-size: 2.3rem;
  max-block-size: 2.3rem;

  width: 3vw;
} */

.home-sub-info {
  max-height: 58vh;
  background: #fff;
  padding: 2em 10px 0 10px;
  max-width: var(--v-max-width-normal);
  margin: auto;
}

.home-sub-info .content {
  color: #333;
  margin: 0;
  font-size: var(--v-large-font-size);
  font-weight: 700;
  line-height: 1.2;
}

.home-sub-info2 {
  padding: 2em 10px 100px 10px;
  max-width: var(--v-max-width-normal);
  margin: auto;
}

.home-sub-info2 .img {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: var(--v-img-gap-normal);
}

.home-sub-info2 .img img {
  width: 100%;
  object-fit: cover;
  display: block;
}

@media (max-width:768px) {
  /* .hero {
    height: 66vh;
  }

  .home-main-info {
    height: calc(66vh - var(--v-header-height));
  } */

  .home-main-info .description {
    box-sizing: border-box;
  }

  .home-main-info .description p {
    padding: 0 20px;
  }

  .home-main-info .description span {
    padding: 0 20px;
  }

  .home-main-menu {
    justify-content: space-around;
    padding: 0;
    min-height: 8vh;
  }

  .home-sub-info {
    padding: 1em 0 0 var(--v-padding-x-normal);
  }

  .home-sub-info2 {
    padding: 1em 0 10px 0;
  }

}